Using Delphi /Delphi News -  Whitemare Scripts work w/ Opera & Chrome (684 views) Notify me whenever anyone posts in this discussion.Subscribe
 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by host2/20/17 10:22 AM 
To: CDP (PerraultC) DelphiPlus Member Icon  (1 of 19) 
 9456.1 

Just for grins, while playing with Opera in Windows 10 I noticed they have a Greasemonkey type extension - Violent Monkey.

I installed it, copied your Delphi Extras extension into Opera usingViolent Monkey and it did check moderation queues for me.   It also skipped the continue after a post, just like in FF.

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by host2/20/17 10:24 AM 
To: WhiteMare (WhiteMare2) DelphiPlus Member Icon unread  (2 of 19) 
 9456.2 in reply to 9456.1 

I can also use Extras in some versions of Chrome, using their Tampermonkey.

 

 

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by host2/20/17 10:29 AM 
To: Jacques (ZAZOU) DelphiPlus Member Icon  (3 of 19) 
 9456.3 in reply to 9456.1 

While Whitemare isn't actively updating her scripts and there's no download site now, for those who have it in their computer, and need support, her WebGear forum is at http://forums.delphiforums.com/webgear/   

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by host2/20/17 11:21 AM 
To: Gary (GAREON1) DelphiPlus Member Icon unread  (4 of 19) 
 9456.4 in reply to 9456.1 

As a general rule, Whitemare's scripts, and many FF scripts, can be used on Chrome and Opera.   I suspect they will also run on Safari, but I don't have a Mac to test that.

To get the programs you need to install greasemonkey first... 

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by host3/31/17 2:11 PM 
To: kc_harley DelphiPlus Member Icon  (5 of 19) 
 9456.5 in reply to 9456.4 

Whitemare has the Firefox RTE editor available for download as an attachment in this post:   34.2 

 

 
From: kc_harley DelphiPlus Member Icon3/31/17 3:20 PM 
To: Glen (GEAATL) DelphiPlus Member Icon  (6 of 19) 
 9456.6 in reply to 9456.5 
No, I all ready have it and use it! Thanks anyway! Below is one script that I use.



  • Edited March 31, 2017 3:21 pm  by  kc_harley
 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by hostOct-6 9:20 AM 
To: Kid (Kidmagnet) DelphiPlus Member Icon  (7 of 19) 
 9456.7 in reply to 9456.5 

If you use the moderation script or some of Whitemare's other scripts, disable FF updates.  The recent versions like 57/58/59 do NOT work with the moderation and some other scripts.

I did a download of FF50 and got my scripts back.  Somewhere around 50-52 is when FF messed up many existing scripts. (ETA: More testing shows the big problem is once you get past FF56).

Here's a place to find FF50 and "downgrade":   https://www.neowin.net/news/firefox-500-released-for-download

  • Edited October 6, 2017 11:00 pm  by  Glen (GEAATL)
 

 
From: Kid (Kidmagnet) DelphiPlus Member IconOct-6 1:11 PM 
To: Glen (GEAATL) DelphiPlus Member Icon  (8 of 19) 
 9456.8 in reply to 9456.7 

Someone else reported this to me with FF55, however mine scripts are working fine. I've followed all the FF updates as they've been released currently I'm at FF56 and my script still works. Delphi Extras V1.9 3-Aug-2015
This is with Windows 10 (an upgrade from Wind 7) and Windows 7

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by hostOct-6 9:13 PM 
To: All  (9 of 19) 
 9456.9 in reply to 9456.8 

Note: Anyone downgrading FF to 52 or before needs an older version of Greasemonkey: Version 3.11

The updated Greasemonkey for 5 forward won't work.  So after installing the older FF do the older greasemonkey as an add on.

 

 
From: Glen (GEAATL) DelphiPlus Member Icon Posted by hostOct-6 9:17 PM 
To: Kid (Kidmagnet) DelphiPlus Member Icon  (10 of 19) 
 9456.10 in reply to 9456.8 

The problems accelerated after 56, which intermittently failed.  So I think the big broken stuff happened at 57 and later.   You probably will do fine at 56.  Since FF has people on different tracks - standard, alpha, beta, many users are 2+ versions ahead of others. 

For those still running on 56 and before, disabling updates may help.   FF has been doing way too rapid updates and the reason I rolled back several is that I had more and more problems on other sites post 50.  51 and 52 were okay.

 

 
Navigate this discussion: 1-10 11-19
Adjust text size:
Using a mobile device? Switch to the Mobile Site.

Welcome, guest! Get more out of Delphi Forums by logging in.

New to Delphi Forums? You can log in with your Facebook, Twitter, or Google account or use the New Member Login option and log in with any email address.

Home | Help | Forums | Chat | Blogs | Advertising | Membership Plans
© Delphi Forums LLC All rights reserved. Privacy Policy. Terms of Service.